org.eclipse.net4j.util.lifecycle

## Interface IDeactivateable

- All Known Subinterfaces:
    ILifecycle, IManagedContainer, IPluginContainer
  All Known Implementing Classes:
    Cache, CacheMonitor, ChallengeNegotiator, ChallengeResponseNegotiator, Container, DelegableReentrantLock, DelegatingRegistry, ExecutorWorkSerializer, FileUserManager, FiniteStateMachine, HashMapDelegatingRegistry, HashMapRegistry, Lifecycle, LifecycleHook, ManagedContainer, Negotiator, PriorityQueueRunner, QueueRunner, QueueRunner2, QueueWorker, QueueWorkerWorkSerializer, Randomizer, ReferenceMonitor, ReferenceQueueWorker, Registry, ResponseNegotiator, RollingLog, RWLockManager, RWOLockManager, SetContainer, ShareableLifecycle, TimerLifecycle, UIQueueRunner, UserManager, UserManagerAuthenticator, Worker

      public interface IDeactivateable

  Since:
    3.6
  Author:
    Eike Stepper
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `deactivate()`

- - ### Method Detail

    - #### deactivate

          java.lang.Exception deactivate()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html